API Reference for Marketo Engage

Sync Companies

POST /subscriptions/{munchkinId}/companies

Sync a list of company records. Supports create, update, and upsert operations with deduplication by external company ID or Marketo internal ID.

Operation ID
syncCompanies
Permissions
Read-Write Company
Request format
application/json
Returns
ErrorResponse

Parameters

Path 1

munchkinId string required

Marketo subscription Munchkin ID

Header 3

X-Mkto-User-Token string required

Marketo API access token

X-Correlation-Id string

Arbitrary string (max 255 characters). Used to trace requests through the system via Marketo Observability Data Stream.

X-Request-Source string

Arbitrary string (max 50 characters). Used to trace the source of requests.

Request body

application/json · required · SyncCompaniesRequest · 6 properties

action string

Sync action. For createOnly and createOrUpdate, only dedupeFields is allowed for dedupeBy. For updateOnly, both dedupeFields and idField are allowed.

Values createOnly updateOnly createOrUpdate

dedupeBy string

Field to deduplicate on (case-insensitive).

Values dedupeFields idField

input array of Company required

List of company attribute name-value pairs.

Model Company

id integer (int64)

Marketo internal company ID. Required when dedupeBy is idField and action is updateOnly.

externalCompanyId string

External company identifier. Required when dedupeBy is dedupeFields.

company string

Company name.

Responses

202 Accepted – request accepted for async processing

No response body is documented for this status.

400 Bad request – validation error (e.g. invalid dedupeBy, missing company id for updateOnly when dedupeBy is idField, empty input, invalid action) ErrorResponse
error_code string

Error code.

message string

Error message.

Generated example
{
  "error_code": "4000801",
  "message": "Bad request"
}
401 Unauthorized – OAuth token is invalid ErrorResponse
error_code string

Error code.

message string

Error message.

Generated example
{
  "error_code": "4000801",
  "message": "Bad request"
}

Referenced models

Generated from swagger-data-ingestion.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results